Health check

Returns 200 status when server is up and running. No authentication required.

Health check

Returns 200 status when server is up and running. No authentication required.

GET https://api.futureagi.com/health/
Bearer
          Click "Try It" to send a request
        

Responses

200

Server is healthy and running

{
  "status": true,
  "result": "Server is up and running"
}

500

Internal server error

  • error: string Example: Internal server error

Code Examples

cURL

curl -X GET "https://api.futureagi.com/health/" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"

Python

import requests

url = "https://api.futureagi.com/health/"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
}

response = requests.get(url, headers=headers)
print(response.json())

JavaScript

const response = await fetch("https://api.futureagi.com/health/", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_API_KEY",
    "Content-Type": "application/json"
  },
});

const data = await response.json();
console.log(data);
Was this page helpful?

Questions & Discussion